### Method

# Shumate MapSource get_tile_size_at_zoom

#### Declaration [src]

    double
    shumate_map_source_get_tile_size_at_zoom (
      ShumateMapSource* map_source,
      double zoom_level
    )

#### Description [src]

Gets the apparent size of the map tiles at the given fractional zoom level.

As the map is zoomed in, a tile gets bigger and bigger until, at the next integer zoom level, it “splits” into four tiles at the next zoom level. Thus, the size increase follows an exponential curve, base 2.

#### Parameters

`zoom_level`

  Type: `double`

  A zoom level.

#### Return value

Type: `double`

The tile’s size (width and height) in pixels for this map source at this zoom level.